> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers



## OpenAPI

````yaml /openapi/provider.api.yaml get /customers/
openapi: 3.0.3
info:
  title: Nadles Provider API
  version: '0.1'
  description: Nadles Provider API allows managing products, customers and subscriptions
  x-logo:
    url: ''
servers:
  - url: https://provider.api.nadles.com/v0
    description: ''
security:
  - defaultApiKey: []
tags: []
paths:
  /customers/:
    get:
      summary: List customers
      operationId: listCustomers
      parameters:
        - name: id
          in: query
          required: false
          description: Filter by customer ID
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          description: Filter by external ID
          schema:
            type: string
        - name: name
          in: query
          required: false
          description: Filter by customer name
          schema:
            type: string
        - name: email
          in: query
          required: false
          description: Filter by customer email
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: Number of items to skip before starting to collect the result set
          schema:
            type: integer
            format: int32
            default: 0
        - name: limit
          in: query
          required: false
          description: Maximum number of items to return
          schema:
            type: integer
            format: int32
            default: 25
        - name: or
          in: query
          required: false
          description: Use OR logic for filters instead of AND
          schema:
            type: boolean
            default: false
        - name: sort
          in: query
          required: false
          description: Sort order (e.g. created_at desc)
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVendorCustomersResponse'
components:
  schemas:
    ListVendorCustomersResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        metadata:
          $ref: '#/components/schemas/ListCustomerSubscriptions200ResponseMetadata'
    Customer:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        external_id:
          type: string
          nullable: true
        billing_address_line1:
          type: string
          nullable: true
        billing_address_line2:
          type: string
          nullable: true
        billing_address_city:
          type: string
          nullable: true
        billing_address_country_code:
          type: string
          nullable: true
        billing_address_zip_code:
          type: string
          nullable: true
        billing_address_region:
          type: string
          nullable: true
        is_business:
          type: boolean
        business_name:
          type: string
          nullable: true
        company_number:
          type: string
          nullable: true
        tax_identifier:
          type: string
          nullable: true
    ListCustomerSubscriptions200ResponseMetadata:
      type: object
      properties:
        pagination:
          $ref: >-
            #/components/schemas/ListCustomerSubscriptions200ResponseMetadataPagination
    ListCustomerSubscriptions200ResponseMetadataPagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
  securitySchemes:
    defaultApiKey:
      description: API key provided in the admin portal
      type: apiKey
      name: nadles-provider-key
      in: header

````